@echo off
@setlocal enableextensions
@cd /d "%~dp0"

goto check_Permissions

:check_Permissions
    echo.
	echo Administrative permissions required. Detecting permissions...
	echo.
    net session >nul 2>&1
    if %errorLevel% == 0 (
        echo Success: Administrative permissions confirmed.
		echo.
		echo Registering "%cd%\SCADA_OPC.exe"
		echo.
		"%cd%\SCADA_OPC.exe" /register && (
			echo Successful!
		) || (
			echo FAILED!
		)	
    ) else (
		echo Failure: Current permissions inadequate.
		echo Run this file as ADMINISTRATOR!
		echo.
	)

echo.
timeout 5